Subject: bug#18754: tests/t0251-gpt-unicode.sh depends on C.UTF-8 locale

From: Adam Sampson <[email-masked]>
Date: Fri, 17 Oct 2014 20:07:16 +0100

Hi parted maintainers,

In parted 3.2, tests/t0251-gpt-unicode.sh needs the C.UTF-8 locale.
However, this isn't provided by stock glibc, and it's not available on
all systems (only ones like Debian where they've patched it in).

I guess the test only really needs *some* UTF-8 locale, so a potential
fix would be to grep the output of "locale -a" for a UTF-8 locale to
use -- and not run the test at all if there isn't one.

Thanks,

-- 
Adam Sampson <[email-masked]>                         <http://offog.org/>